require 'sketchup.rb'
require 'extensions.rb'

module AF_com_tool
  module Cupboard


    VERSION = "7.4.1/LAOYAO"
    PLUGIN_NAME = "TC-放样绘制pro7.4.1"

    if Sketchup.version.to_i >= 16
      btExtension = SketchupExtension.new(PLUGIN_NAME, (File.join(File.dirname(__FILE__),"AF_com_tool","Load")))
      btExtension.description = ("用不板式家具定制设计！适用于win..系统su2019+")
      btExtension.version = VERSION
      btExtension.creator = "TC-放样绘制pro7.4.1"
      btExtension.copyright = "www.afu321.com"
      Sketchup.register_extension(btExtension, true)
     else
       UI.messagebox("你需要安装SketchUp 2019或更高版本。")
     end

  end
end